import * as React from 'react'

import { FieldProps, FilterProps } from './MapperCompose'

interface FilterRowReadonlyProps {
    field_id: string,
    language: {[key: string]: string},
    fields: FieldProps[],
    filters: FilterProps[],
    conditions: {[key: string]: string},
}

export class FilterRowReadonly extends React.Component<FilterRowReadonlyProps, {}> {
  constructor (props: FilterRowReadonlyProps) {
    super(props)
  }

  render () {
    let field_title = ''
    for (const key in this.props.fields) {
      if (!this.props.fields.hasOwnProperty(key)) {
        continue
      }
      const field = this.props.fields[key]
      if (field.id == this.props.field_id) {
        field_title = field.name
      }
    }

    const lis = []
    for (const key in this.props.filters) {
      if (!this.props.filters.hasOwnProperty(key)) {
        continue
      }

      const filter = this.props.filters[key]
      const condition = this.props.conditions[filter.condition]
      lis.push(<li key={'filter_' + filter.id}>
        <div className="fl">
          {condition}
        </div>
        <div className="fl pl5">
          {filter.value}
        </div>
      </li>)
    }

    return <div className="border mt10 category-container">
      <h4 className="gradient p5 mouse-pointer">
        <span>{field_title}</span>
      </h4>

      <div className="border-top">
        <div className="property-label">
          <strong className="text-shadow">{this.props.language.LC__CMDB__CATG__SMVIEW_FEED__FILTER}</strong>
        </div>
        <div className="fl">
          <ul>
            {lis}
          </ul>
        </div>
      </div>
    </div>
  }
}
