import * as React from 'react'

import { CatProps, FieldProps, MappingProps } from './MapperCompose'

interface RowReadonlyProps {
    language: {[key: string]: string},
    fields: FieldProps[],
    cat_g_list: CatProps[],
    cat_s_list: CatProps[],
    mapping: MappingProps,
}

export class RowReadonly extends React.Component<RowReadonlyProps, {}> {
  constructor (props: RowReadonlyProps) {
    super(props)
  }

  render () {
    // get field title
    let field_title = ''
    for (const key in this.props.fields) {
      if (!this.props.fields.hasOwnProperty(key)) {
        continue
      }
      const field = this.props.fields[key]
      if (field.id == this.props.mapping.field_id) {
        field_title = field.name
      }
    }

    // get category title
    let cat_title = this.get_title(this.props.cat_g_list)
    if (!cat_title) {
      cat_title = this.get_title(this.props.cat_s_list)
    }

    return <div className="border mt10 category-container">
      <h4 className="gradient p5 mouse-pointer">
        <span>{field_title}</span>
      </h4>

      <div className="border-top">
        <div className="property-label">
          <strong className="text-shadow">{this.props.language.LC__CMDB__CATG__SMVIEW_FEED__CATEGORY}</strong>
        </div>
        <div className="fl">
          {cat_title}
        </div>
      </div>
      <div>
        <div className="property-label">
          <strong className="text-shadow">{this.props.language.LC__CMDB__CATG__SMVIEW_FEED__PROPERTY}</strong>
        </div>
        <div className="fl">
          {this.props.mapping.property_title}
        </div>
      </div>
    </div>
  }

  get_title (listing: CatProps[]) {
    let cat_title = ''
    for (const key in listing) {
      if (!listing.hasOwnProperty(key)) {
        continue
      }

      const cat = listing[key]
      if (cat.const == this.props.mapping.cat_const) {
        cat_title = cat.title
      }
    }
    return cat_title
  }
}
