import * as React from 'react'
import {FilterRowReadonly} from '../FilterRowReadonly'
const ReactTestRenderer = require('react-test-renderer');

it('renders filter row readonly correctly', () => {
    const lang = {
        ['LC__CMDB__CATG__SMVIEW_FEED__FILTER_EQUAL']: 'equal',
        ['LC__CMDB__CATG__SMVIEW_FEED__FILTER_CONTAINS']: 'contains',
        ['LC__CMDB__CATG__SMVIEW_FEED__FILTER_NOT_EQUAL']: 'not equal',
        ['LC__CMDB__CATG__SMVIEW_FEED__FILTER_NOT_CONTAINS']: 'not contains',
        ['LC__CMDB__CATG__SMVIEW_FEED__DELETE_ASSIGNMENT']: 'Delete assignment',
        ['LC__CMDB__CATG__SMVIEW_FEED__FILTER']: 'Filter',
    };
    const fields = [
        {
            id: 'editor',
            name: 'Bearbeiter',
            type: 'string',
        },
        {
            id: 'creation_date',
            name: 'Erstellt',
            type: 'date',
        }
    ];
    const filters = [{
        id: 1,
        field_id: 'editor',
        condition: 'contains',
        value: 'Meier',
    }];
    const conditions = {
        'equal':     'equal',
        'contains':  'contains',
        'not_equal': 'not equal',
        'not_contains':  'not contains',
    };
    const component = ReactTestRenderer.create(
        <FilterRowReadonly field_id={'editor'} language={lang} fields={fields} filters={filters} conditions={conditions} />,
    );
    expect(component).toMatchSnapshot();
});
