import * as React from 'react'
import {RowReadonly} from '../RowReadonly'
const ReactTestRenderer = require('react-test-renderer');

it('renders row readonly correctly', () => {
    const lang = {
        ['LC__CMDB__CATG__SMVIEW_FEED__CATEGORY']: 'Category',
        ['LC__CMDB__CATG__SMVIEW_FEED__PROPERTY']: 'Property',
    };
    const fields = [
        {
            id: 'editor',
            name: 'Bearbeiter',
            type: 'string',
        }
    ];
    const cat_g_list = [
        {
            id: 1,
            const: 'C__CATG__GLOBAL',
            title: 'Global',
        },
        {
            id: 2,
            const: 'C__CATG__CONTACT',
            title: 'Contact',
        },
        {
            id: 3,
            const: 'C__CATG__PLANNING',
            title: 'Planning',
        }
    ];
    const cat_s_list = [
        {
            id: 14,
            const: 'C__CATS__PERSON_LOGIN',
            title: 'Personen - Login',
        },
        {
            id: 15,
            const: 'C__CATS__PERSON_MASTER',
            title: 'Personen - Stammdaten',
        }
    ];
    const mapping = {
        id: 1,
        field_id: 'editor',
        cat_const: 'C__CATG__GLOBAL',
        property_name: 'description',
        property_title: 'Description',
    };
    const component = ReactTestRenderer.create(
        <RowReadonly language={lang} fields={fields} cat_g_list={cat_g_list}
                     cat_s_list={cat_s_list} mapping={mapping} />,
    );
    expect(component).toMatchSnapshot();
});
