// add fetch polyfill (IE)
import 'whatwg-fetch'
import 'idempotent-babel-polyfill'

import * as React from 'react'
import * as ReactDOM from 'react-dom'
import { CatProps, FieldProps, FilterProps, MapperCompose, MappingProps } from './MapperCompose'

const config = document.getElementById('C__CATG__SMVIEW_REACT_CONFIG').innerHTML
const cfg: ConfigProps = JSON.parse(config)
cfg.ajax_url = cfg.ajax_url.replace(/&amp;/g, '&')

interface ConfigProps {
    ajax_url: string,
    image_url: string,
    session: string,
    language: {[key: string]: string},
    fields: FieldProps[],
    cat_g_list: CatProps[],
    cat_s_list: CatProps[],
    mappings: MappingProps[],
    filters: FilterProps[],
    is_editable: boolean,
}

ReactDOM.render(
  <MapperCompose {...cfg} />,
  document.getElementById('mapper')
)
