<?php

/**
 * i-doit
 *
 * Abstract class to map an object to object type DAO for SM-VIEW Feed.
 *
 * @package    i-doit
 * @subpackage smview_feed
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_smview_feed_abstract_2_obj_type extends isys_cmdb_dao_smview_feed_abstract
{

    /**
     * Empty property title.
     */
    const EMPTY_PROPERTY_TITLE = '?';

    /**
     * Map database results to array.
     *
     * @param  isys_component_dao_result $res
     * @return array
     */
    protected function _map_result_to_array($res)
    {
        $rows = parent::_map_result_to_array($res);

        // check if properties exist anymore
        $checked_rows = [];
        foreach ($rows as $row) {
            if ($row['property_title'] != self::EMPTY_PROPERTY_TITLE) {
                $checked_rows[] = $row;
            }
        }
        return $checked_rows;
    }

    /**
     * Optional method to add additional informations to an object.
     *
     * @param  array $obj
     * @return array|null
     * @throws isys_exception_database
     */
    protected function _get_additional_informations($obj)
    {
        $sql = '';
        $property_key = $obj['property_name'];
        if (! empty($obj['cats_id'])) {
            $cat_s_id = $obj['cats_id'];
            $sql = "SELECT isys_property_2_cat__prop_title AS title
                FROM isys_property_2_cat
                WHERE isys_property_2_cat__isysgui_cats__id = $cat_s_id
                AND isys_property_2_cat__prop_key = '$property_key'";
        }
        if (! empty($obj['catg_id'])) {
            $cat_g_id = $obj['catg_id'];
            $sql = "SELECT isys_property_2_cat__prop_title AS title
                FROM isys_property_2_cat
                WHERE isys_property_2_cat__isysgui_catg__id = $cat_g_id
                AND isys_property_2_cat__prop_key = '$property_key'";
        }
        $row = $this->retrieve($sql)->get_row();

        $language = isys_application::instance()->container->get('language');
        $title = $row ? $language->get($row['title']) : self::EMPTY_PROPERTY_TITLE;
        return array('property_title' => $title);
    }
}
