<?php

use idoit\Module\Feed\ProxyApi\AbstractApi;
use idoit\Module\Feed\ProxyApi\Idoit;

/**
 * i-doit
 *
 * Idoit DAO for SM-VIEW Feed.
 *
 * @package    i-doit
 * @subpackage smview_feed
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_smview_feed_idoit extends isys_cmdb_dao_smview_feed_abstract_api
{

    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_feed_idoit_list__id'                   => 'id',
        'isys_catg_smview_feed_idoit_list__name'                 => 'name',
        'isys_catg_smview_feed_idoit_list__address'              => 'address',
        'isys_catg_smview_feed_idoit_list__key'                  => 'key',
        'isys_catg_smview_feed_idoit_list__username'             => 'username',
        'isys_catg_smview_feed_idoit_list__password'             => 'password',
        'isys_catg_smview_feed_idoit_list__indexed_object_types' => 'indexed_object_types',
    );

    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_feed_idoit_list';

    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_feed_idoit_list__id';

    /**
     * Get api instance.
     *
     * @return AbstractApi
     */
    protected function _getApiInstance()
    {
        return new Idoit();
    }
}
