<?php

use idoit\Module\Feed\ProxyApi\AbstractApi;
use idoit\Module\Feed\ProxyApi\Jira;

/**
 * i-doit
 *
 * Jira DAO for SM-VIEW Feed.
 *
 * @package    i-doit
 * @subpackage smview_feed
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_smview_feed_jira extends isys_cmdb_dao_smview_feed_abstract_api
{

    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_feed_jira_list__id'               => 'id',
        'isys_catg_smview_feed_jira_list__address'          => 'address',
        'isys_catg_smview_feed_jira_list__name'             => 'name',
        'isys_catg_smview_feed_jira_list__username'         => 'username',
        'isys_catg_smview_feed_jira_list__password'         => 'password',
        'isys_catg_smview_feed_jira_list__use_api_directly' => 'use_api_directly',
    );

    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_feed_jira_list';

    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_feed_jira_list__id';

    /**
     * Get api instance.
     *
     * @return AbstractApi
     */
    protected function _getApiInstance()
    {
        return new Jira();
    }
}
