<?php

/**
 * i-doit
 *
 * Jira filter DAO for SM-VIEW Feed.
 *
 * @package    i-doit
 * @subpackage smview_feed
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_smview_feed_jira_filter extends isys_cmdb_dao_smview_feed_abstract
{

    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_feed_jira_filter__id'                => 'id',
        'isys_catg_smview_feed_jira_filter__isys_obj_type__id' => 'obj_type_id',
        'isys_catg_smview_feed_jira_filter__field_id'          => 'field_id',
        'isys_catg_smview_feed_jira_filter__field_name'        => 'field_name',
        'isys_catg_smview_feed_jira_filter__condition'         => 'condition',
        'isys_catg_smview_feed_jira_filter__value'             => 'value',
    );

    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_feed_jira_filter';

    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_feed_jira_filter__id';

    /**
     * Get field mapping by object ID.
     *
     * @param  int $obj_id
     * @return array
     * @throws isys_exception_database
     */
    public function get_fields_by_obj_id($obj_id)
    {
        $sql = "SELECT f.*
                FROM isys_catg_smview_feed_jira_filter f
                JOIN isys_obj_type t ON t.isys_obj_type__id = f.isys_catg_smview_feed_jira_filter__isys_obj_type__id
                JOIN isys_obj o ON o.isys_obj__isys_obj_type__id = t.isys_obj_type__id
                WHERE o.isys_obj__id = $obj_id";
        $res = $this->retrieve($sql);
        return $this->_map_result_to_array($res);
    }
}
