<?php

/**
 * i-doit
 *
 * Virtual device to object type DAO for SM-VIEW Feed.
 *
 * @package    i-doit
 * @subpackage smview_feed
 * @author     2020 Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_smview_feed_virtual_device_2_obj_type extends isys_cmdb_dao_smview_feed_abstract_2_obj_type
{

    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_feed_virt_dev_2_obj_type__id'                => 'id',
        'isys_catg_smview_feed_virt_dev_2_obj_type__isys_obj_type__id' => 'obj_type_id',
        'isys_catg_smview_feed_virt_dev_2_obj_type__field_id'          => 'field_id',
        'isys_catg_smview_feed_virt_dev_2_obj_type__field_name'        => 'field_name',
        'isys_catg_smview_feed_virt_dev_2_obj_type__isysgui_catg__id'  => 'catg_id',
        'isys_catg_smview_feed_virt_dev_2_obj_type__isysgui_cats__id'  => 'cats_id',
        'isys_catg_smview_feed_virt_dev_2_obj_type__cat_const'         => 'cat_const',
        'isys_catg_smview_feed_virt_dev_2_obj_type__property_name'     => 'property_name',
    );

    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_feed_virtual_device_2_obj_type';

    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_feed_virt_dev_2_obj_type__id';

    /**
     * Get field mapping by object ID.
     *
     * @param  int $obj_id
     * @return array
     * @throws isys_exception_database
     */
    public function get_fields_by_obj_id($obj_id)
    {
        $sql = "SELECT m.*
                FROM isys_catg_smview_feed_virtual_device_2_obj_type m
                JOIN isys_obj_type t ON t.isys_obj_type__id = m.isys_catg_smview_feed_virt_dev_2_obj_type__isys_obj_type__id
                JOIN isys_obj o ON o.isys_obj__isys_obj_type__id = t.isys_obj_type__id
                WHERE o.isys_obj__id = $obj_id";
        $res = $this->retrieve($sql);
        return $this->_map_result_to_array($res);
    }
}
