<?php

/**
 * i-doit
 * DAO: list of Feed Jira
 *
 * @package    idoit
 * @subpackage smview_feed
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2019 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license MIT
 */
class isys_cmdb_dao_list_catg_smview_feed_jira extends isys_cmdb_dao_list
{

    /**
     * Return constant of category.
     *
     * @return integer
     */
    public function get_category()
    {
        return defined_or_default('C__CATG__SMVIEW_FEED_JIRA');
    }

    /**
     * Return constant of category type.
     *
     * @return integer
     */
    public function get_category_type()
    {
        return C__CMDB__CATEGORY__TYPE_GLOBAL;
    }

    /**
     * Returns array with table headers.
     *
     * @return array
     * @throws Exception
     */
    public function get_fields()
    {
        $dao = new isys_cmdb_dao_category_g_smview_feed_jira(isys_application::instance()->database);
        $properties = $dao->get_properties();
        $fields = [];
        foreach ($properties as $key => $p) {
            $name = $p['info']['title'];
            $fields[$key] = $name;
        }
        return $fields;
    }

    /**
     * Modify row method will be called for each row to alter its content.
     *
     * @param array &$p_row
     */
    public function modify_row(&$p_row)
    {
        // set category item ID to generate a link in HTML list
        $p_row['isys_catg_smview_feed_jira_list__id'] = $p_row['isys__id'];
    }
}
