<?php

/**
 * i-doit
 *
 * Module initializer
 *
 * @package    idoit
 * @subpackage smview_feed
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2019 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license MIT
 */

if (isys_module_manager::instance()->is_active('smview_feed')) {

    /* Initialize autoloader */
    if (include_once 'isys_module_smview_feed_autoload.class.php') {
        spl_autoload_register('isys_module_smview_feed_autoload::init');
    }

    \idoit\Psr4AutoloaderClass::factory()
        ->addNamespace('idoit\Module\smview_feed', __DIR__ . '/src/');

    /* Append custom module language file */
    global $g_idoit_language_short;

    $lang_path = __DIR__ . DS . 'lang' . DS . $g_idoit_language_short . '.inc.php';
    if (file_exists($lang_path)) {
        $l_language = include_once $lang_path;

        if (is_array($l_language)) {
            global $g_comp_template_language_manager;
            $g_comp_template_language_manager->append_lang($l_language);
        }
    }
}
