<?php

/**
 * i-doit SM-VIEW feed module
 *
 * Installation routines
 *
 * @package     i-doit
 * @subpackage  Modules
 * @author      Steve Groeber <steve.groeber@shd-online.de>
 * @copyright   2021 SHD System-Haus-Dresden GmbH
 * @license     http://www.i-doit.com/license
 */

class isys_module_smview_feed_install {

    /**
     * Executes module installation.
     */
    public static function init() {
        // remove obsolete vendor directory with all its files
        $dir = __DIR__ . DIRECTORY_SEPARATOR . '../vendor';
        if (! is_dir($dir)) {
            return;
        }

        $it = new RecursiveDirectoryIterator($dir, RecursiveDirectoryIterator::SKIP_DOTS);
        $files = new RecursiveIteratorIterator($it, RecursiveIteratorIterator::CHILD_FIRST);
        foreach($files as $file) {
            if ($file->isDir()){
                rmdir($file->getRealPath());
            } else {
                unlink($file->getRealPath());
            }
        }
        rmdir($dir);
    }
}
