<style type="text/css">
  .logTable {
    margin: 8px 20px;
  }

  .logTable thead th {
    font-size: 12px;
    font-weight: bold;
    padding: 4px;
  }

  .logTable thead tr,
  .logTable tr:nth-child(even) {
    background-color: #DDDDDD;
  }

  .logTable td.key {
    padding: 1px 2px;
    text-align: left;
  }

  .logTable td.value {
    padding: 1px 2px;
  }
</style>

<div id="contentHeader" class="contentHeaderSmall">
  <h2 class="m0 fl">
    [{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_TITLE"}]
  </h2>
</div>

[{if $success}]
  <h3 style="color: green; margin: 14px;">
    [{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__UPLOAD_SUCCESS"}]
  </h3>
  [{/if}]

[{if $error}]
  <h3 style="color: red; margin: 14px;">
    [{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__UPLOAD_ERROR"}]:<br />
    [{$error}]
  </h3>
  [{/if}]

<fieldset class="overview">
  <legend>
    <span>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_DEVICE_IMPORT_TITLE"}]</span>
  </legend>
  <table class="contentTable">
    <tr>
      <td class="key">[{isys type="f_label" ident="LC__CMDB__CATG__SMVIEW_FEED__UPLOAD_CSV" name="C__CATS__FILE_UPLOAD_VIRTUAL_DEVICE"}]</td>
      <td class="value">
        <div class="ml20">
          <input type="file" name="C__CATS__FILE_UPLOAD_VIRTUAL_DEVICE" />
        </div>
      </td>
    </tr>
    <tr>
      <td class="key">[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__RESET_CACHE"}]</td>
      <td class="value">
        <div class="ml20">
          <input type="checkbox" name="reset_cache" class="input" />
        </div>
      </td>
    </tr>
    <tr>
      <td class="key">[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__SHOW_LOG"}]</td>
      <td class="value">
        <div class="ml20">
          <input type="checkbox" name="show_log" class="input" />
        </div>
      </td>
    </tr>
  </table>

  [{if $success && $log}]
  <table class="contentTable logTable">
    <thead>
    <tr>
      <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__LOG_LINE"}]</th>
      <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__LOG_MESSAGES"}]</th>
    </tr>
    </thead>
    <tbody>
    [{foreach $log as $index => $lines}]
      <tr>
        <td class="key">[{($index + 1)}]</td>
        <td class="value">
          [{foreach $lines as $line}]
          [{$line}]<br />
          [{/foreach}]
        </td>
      </tr>
      [{/foreach}]
    </tbody>
  </table>
  [{/if}]
</fieldset>

[{if $search_properties}]
  <fieldset class="overview">
    <legend>
      <span>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_SEARCH"}]</span>
    </legend>
    <table class="contentTable">
      <tr>
        <td class="key">
          [{isys type="lang" ident="LC__CMDB__CATG__ATTRIBUTE"}]
        </td>
        <td class="value">
          <div class="ml20">
            <select class="select input input-small" name="search_property">
              [{foreach $search_properties as $p}]
                <option value="[{$p['id']}]" [{if $search_property == $p['id']}] selected="selected" [{/if}]>[{$p['name']}]</option>
              [{/foreach}]
            </select>
          </div>
        </td>
      </tr>
      <tr>
        <td class="key">[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_VALUE"}]</td>
        <td class="value">
          <div class="ml20">
            <input type="text" class="input input-small" name="search_virtual_device" value="[{$search_virtual_device}]" />
          </div>
        </td>
      </tr>
      <tr>
        <td class="key">&nbsp;</td>
        <td class="value">
          <div class="ml20">
            <button type="submit" class="btn" name="search">
              [{isys type="lang" ident="LC__SEARCH__SEARCH"}]
            </button>
          </div>
        </td>
      </tr>
    </table>

    <div style="margin: 4px 20px;">[{$search_message}]</div>
    [{if $devices}]
      <table class="mainTable" style="margin: 4px 20px; border: 1px solid #AAA; min-width: 96%;">
        <thead>
          <tr>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_HOST_NAME"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_IP_ADDRESS_END_DEVICE"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__PORT__MAC"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_DEVICE_NAME"}]</th>
            <th>[{isys type="lang" ident="LC__CATP__IP__ADDRESS"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_PORT"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_PORT_NAME"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_PORT_STATE"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_VTP_DOMAIN"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_VLAN"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_VLAN_TYPE"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_LAST_SEEN"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_NOTES"}]</th>
            <th>[{isys type="lang" ident="LC__CMDB__CATG__SMVIEW_FEED__VIRTUAL_DEVICE_USER_NAME"}]</th>
          </tr>
        </thead>
        <tbody>
          [{foreach $devices as $d}]
            <tr>
              <td>[{$d['isys_host_name']}]</td>
              <td>[{$d['isys_ip_address']}]</td>
              <td>[{$d['isys_mac_address']}]</td>
              <td>
                [{if $d['device_url']}]
                  <a href="[{$d['device_url']}]" target="_blank">
                    <b>[{$d['isys_device_name']}]</b>
                  </a>
                [{else}]
                  [{$d['isys_device_name']}]
                [{/if}]
              </td>
              <td>[{$d['isys_device']}]</td>
              <td>
                [{if $d['port_url']}]
                <a href="[{$d['port_url']}]" target="_blank">
                  <b>[{$d['isys_port']}]</b>
                </a>
                [{else}]
                  [{$d['isys_port']}]
                [{/if}]
              </td>
              <td>[{$d['isys_port_name']}]</td>
              <td>[{$d['isys_port_state']}]</td>
              <td>[{$d['isys_vtp_domain']}]</td>
              <td>[{$d['isys_vlan']}]</td>
              <td>[{$d['isys_vlan_type']}]</td>
              <td>[{$d['isys_last_seen']}]</td>
              <td>[{$d['isys_notes']}]</td>
              <td>[{$d['isys_user_name']}]</td>
            </tr>
          [{/foreach}]
        </tbody>
      </table>
    [{/if}]

  </fieldset>
[{/if}]
